summaryrefslogtreecommitdiffstats
path: root/abs/core/runit-scripts/runitscripts/services/evrouter/run
diff options
context:
space:
mode:
Diffstat (limited to 'abs/core/runit-scripts/runitscripts/services/evrouter/run')
-rwxr-xr-xabs/core/runit-scripts/runitscripts/services/evrouter/run20
1 files changed, 20 insertions, 0 deletions
diff --git a/abs/core/runit-scripts/runitscripts/services/evrouter/run b/abs/core/runit-scripts/runitscripts/services/evrouter/run
new file mode 100755
index 0000000..56f7ae6
--- /dev/null
+++ b/abs/core/runit-scripts/runitscripts/services/evrouter/run
@@ -0,0 +1,20 @@
+#!/bin/bash
+. /etc/profile
+export TERM=linux
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+which evrouter >/dev/null 2>/dev/null
+if [ $? = 0 ]
+then
+
+ stat_runit "Starting evrouter"
+ ps -ef |grep -v grep|grep -q "Xvfb :50"
+ if [ ! $? = 0 ]
+ then
+ sv start Xvfb
+ fi
+
+ su mythtv -c "DISPLAY=localhost:50 evrouter -c /etc/evrouter.cfg -f /dev/input/event*"
+fi
+